public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Arthur Zamarin" <arthurzam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/dbfread/
Date: Fri, 17 Jun 2022 08:10:25 +0000 (UTC)	[thread overview]
Message-ID: <1655453416.cedd9e9694db8b62fee1a579b8f45e9f10c20e9b.arthurzam@gentoo> (raw)

commit:     cedd9e9694db8b62fee1a579b8f45e9f10c20e9b
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 17 06:46:08 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Jun 17 08:10:16 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cedd9e96

dev-python/dbfread: EAPI=8, PEP517, cleanup

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/dbfread/dbfread-2.0.7-r1.ebuild | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/dev-python/dbfread/dbfread-2.0.7-r1.ebuild b/dev-python/dbfread/dbfread-2.0.7-r1.ebuild
new file mode 100644
index 000000000000..116e2142b96c
--- /dev/null
+++ b/dev-python/dbfread/dbfread-2.0.7-r1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Read DBF Files with Python"
+HOMEPAGE="https://github.com/olemb/dbfread https://pypi.org/project/dbfread/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
+	test? ( https://github.com/olemb/dbfread/archive/refs/tags/${PV}.tar.gz -> ${P}-src.tar.gz )"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+	dbfread/test_read_and_length.py::test_len
+	dbfread/test_read_and_length.py::test_list
+)
+
+python_prepare_all() {
+	sed -e 's|\[pytest\]|[tool:pytest]|' -i setup.cfg || die
+	distutils-r1_python_prepare_all
+}


             reply	other threads:[~2022-06-17  8:10 UTC|newest]

Thread overview: 9+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-06-17  8:10 Arthur Zamarin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-17 14:31 [gentoo-commits] repo/gentoo:master commit in: dev-python/dbfread/ Michał Górny
2023-05-31 16:05 Michał Górny
2023-03-17  5:32 Michał Górny
2022-11-14  4:36 Michał Górny
2022-06-17  8:10 Arthur Zamarin
2021-08-08 20:32 Louis Sautier
2021-06-22  3:21 Zac Medico
2021-06-21  7:14 Zac Medico

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1655453416.cedd9e9694db8b62fee1a579b8f45e9f10c20e9b.arthurzam@gentoo \
    --to=arthurzam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox